<!DOCTYPE html>
<html lang="de" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Index</title>
</head>
<body>
<h1>Gästebuch</h1>

<div th:if="${inputList.size > 0}">
    <div th:each="input : ${inputList}">
        <div style="margin-bottom: 10px">
            Eintrag: <span style="font-weight: bold" th:text="${input.titel}"></span> <br>
            <span th:text="${input.description}"></span> <br>

            <!-- Kommentare ausgeben zum Eintrag -->
            <div th:if="${input.getComments().size > 0}">
                <p style="font-weight: bolder">Kommentare</p>
                <div th:each="comment : ${input.getComments()}">
                    <div style="margin-bottom: 10px">
                        <span th:text="${comment.getText()}"></span>
                    </div>
                </div>
            </div>

            <a th:href="@{/createComment(inputId=${input.getId()})}">Kommentar hinzufügen</a>
            <p style="font-weight: bolder">-----------------------------------------------------</p>
        </div>
    </div>
</div>

<div th:if="${inputList.size == 0}">
    keine Einträge vorhanden
</div>


<div style="margin: 15px">
    <a href="/createInput">Eintrag erstellen</a>
</div>

</body>
</html>